*  FILE: ADVENT03/ASM
*
* DATA VARIABLES AND TABLES
*

*******************************
*
* VERB TABLE.  EACH VERB IS
* LISTED FOLLOWED BY IT'S
* ASSIGNED VERB NUMBER.
*
*******************************

VERBTB EQU *
 FCC 'LOOK',1
 FCC 'L   ',1
 FCC 'EXAM',1
 FCC 'INVE',2
 FCC 'I   ',2
 FCC 'G   ',3
 FCC 'GET ',3
 FCC 'TAKE',3
 FCC 'GRAB',3
 FCC 'PUT ',4
 FCC 'DROP',4
 FCC 'P   ',4
 FCC 'NORT',5
 FCC 'N   ',5
 FCC 'SOUT',6
 FCC 'S   ',6
 FCC 'EAST',7
 FCC 'E   ',7
 FCC 'WEST',8
 FCC 'W   ',8
 FCC 'UP  ',9
 FCC 'U   ',9
 FCC 'DOWN',10
 FCC 'D   ',10
 FCC 'GO  ',11
 FCC 'WALK',11
 FCC 'RUN ',11
 FCC 'ENTE',11
 FCC 'QUIT',12
 FCC 'SAVE',13
 FCC 'LOAD',14
 FCC 'HELP',15
 FCC 'DIG ',16
 FCC 'PRES',17
 FCC 'PUSH',17
 FCC 'GIVE',18
 FCC 'FILL',19
 FCC 'CLIM',20
 FCC 'CLOS',21
 FCC 'SHUT',21
 FCC 'OPEN',22
 FCC 'UNLO',23
 FCC 'BREA',24
 FCC 'BUST',24
 FCC 'CRAC',24
 FCC 'SCOR',25
 FCC 'READ',26
 FCC 'MOVE',27
 FCC 'ROLL',27
 FCC 'PULL',28
 FCC 'TIE ',29
 FCB 0

*******************************
*
* NOUN TABLE.  LISTS ALL NOUNS
* AND THEIR ASSOCIATED NUMBER
*
*******************************

NOUNTB EQU *
 FCC 'NORT',1
 FCC 'SOUT',2
 FCC 'EAST',3
 FCC 'WEST',4
 FCC 'UP  ',5
 FCC 'DOWN',6
 FCC 'INVE',7
 FCC 'META',8
 FCC 'DETE',8
 FCC 'MIRR',9
 FCC 'SHOV',10
 FCC 'SPAD',10
 FCC 'TANK',11
 FCC 'SILV',12
 FCC 'KEY ',13
 FCC 'DIAM',14
 FCC 'RING',14
 FCC 'BOTT',15
 FCC 'CARD',17
 FCC 'CRED',17
 FCC 'PEAR',18
 FCC 'NOTE',19
 FCC 'KEG ',20
 FCC 'RUM ',20
 FCC 'RUBY',21
 FCC 'STAT',21
 FCC 'NEWS',22
 FCC 'PAPE',22
 FCC 'BALL',23
 FCC 'WEAT',23
 FCC 'ANCH',24
 FCC 'ROPE',95
 FCC 'CORD',96
 FCC 'RIPC',96
 FCC 'RIP ',96
 FCC 'PIRA',98
 FCC 'MATE',98
 FCC 'CLER',99
 FCC 'CLAM',100
 FCC 'CAVE',101
 FCC 'BOUL',102
 FCC 'ROCK',102
 FCC 'OSYT',104
 FCC 'STAI',105
 FCC 'STEP',105
 FCC 'CHAI',106
 FCC 'TABL',107
 FCC 'SIGN',108
 FCC 'SHAR',109
 FCC 'DOOR',112
 FCC 'TRAP',112
 FCC 'WIND',113
 FCC 'LADD',114
 FCC 'COMP',115
 FCC 'GAUG',116
 FCC 'MERM',117
 FCC 'FALL',118
 FCC 'HOLE',120
 FCC 'SAND',122
 FCC 'BUTT',123
 FCC 'ISLA',124
 FCC 'SHOR',124
 FCC 'DOCK',125
 FCC 'WATE',126
 FCC 'OCEA',126
 FCC 'BOAT',127
 FCC 'SHIP',127
 FCC 'ALL ',128
 FCC 'EVER',128
 FCB 0

*******************************
*
* SPECIAL ACTION TABLE. LISTS
* VERB/NOUN COMBO'S THAT HAVE
* SPECIAL PROCESSING ROUTINES.
* FORMAT IS:
*
*  # BYTES       DEXCRIPTION
*  -------   ------------------
*     1      VERB NUMBER
*     1      NOUN NUMBER
*     2      SPECIAL RTN ADDR
*
*******************************

SPCRTN EQU *
 FDB $0108,LOOK01 LOOK DETECTOR
 FDB $010B,LOOK02 LOOK TANKS
 FDB $0174,LOOK03 LOOK GAUGE
 FDB $0175,LOOK04 LOOK MERMAID
 FDB $0170,LOOK05 LOOK DOOR
 FDB $010F,LOOK06 LOOK BOTTLE
 FDB $016B,LOOK07 LOOK TABLE
 FDB $0111,LOOK08 LOOK CREDIT
 FDB $0166,LOOK09 LOOK BOULDER
 FDB $0171,LOOK10 LOOK WINDOW
 FDB $0169,LOOK11 LOOK STEPS
 FDB $0117,LOOK12 LOOK BALLOON
 FDB $015F,LOOK13 LOOK ROPE
 FDB $0160,LOOK13 LOOK CORD
 FDB $0176,LOOK14 LOOK FALLS
 FDB $0118,LOOK15 LOOK ANCHOR
 FDB $0165,LOOK16 LOOK CAVE
 FDB $0113,READ01 LOOK NOTE
 FDB $0116,READ02 LOOK NEWS
 FDB $016C,VREAD LOOK SIGN
 FDB $0307,VINVE TAKE INVENTORY
 FDB $030A,GETALL SHOVEL
 FDB $0380,GETALL
 FDB $030F,GET01 GET BOTTLE
 FDB $030B,GET02 GET TANKS
 FDB $0318,GET03 GET ANCHOR
 FDB $0317,GET04 GET BALLOON
 FDB $040F,PUT01 PUT BOTTLE
 FDB $0B7F,GO01  GO BOAT
 FDB $0B7E,GO02  GO WATER
 FDB $0B7D,GO03  GO DOCK
 FDB $0B7C,GO04  GO ISLAND
 FDB $0B76,GO05  GO FALLS
 FDB $0B78,GO06  GO HOLE
 FDB $0B71,GO07  GO WINDOW
 FDB $0B70,GO08  GO DOOR
 FDB $0B69,GO09  GO STEPS
 FDB $0B65,GO10  GO CAVE
 FDB $0B72,VCLIMB GO LADDER
 FDB $117B,PUSH01 PUSH BUTTON
 FDB $1166,MOVE01 PUSH BOULDER
 FDB $1664,OPEN01 OPEN CLAM
 FDB $1B66,MOVE01 MOVE BOULDER
 FDB $1A13,READ01 READ NOTE
 FDB $1A16,READ02 READ NEWS
 FDB 0

*******************************
*
* SPECIAL ACTION ON ENTRY TO A
* ROOM TABLE.  FORMAT IS:
*      ROOM#,RTNADDR
*
*******************************

ENTRTB EQU *
 FCB 10,>ENTR10
 FCB 37,>UNDER2
 FCB 39,>UNDER2
 FCB 41,>UNDER2
 FCB 43,>UNDER2
 FCB 44,>UNDER2
 FCB 45,>UNDER2
 FCB 47,>UNDER2
 FCB 0

*******************************
*
* SPECIAL ACTION ON EXIT FROM
* A ROOM TABLE.
*
*******************************

EXITTB EQU *
 FCB 03,>EXIT03
 FCB 21,>EXBOAT
 FCB 23,>EXBOAT
 FCB 25,>EXBOAT
 FCB 27,>EXBOAT
 FCB 29,>EXBOAT
 FCB 31,>EXBOAT
 FCB 33,>EXBOAT
 FCB 43,>EXIT43
 FCB 55,>EXIT55
 FCB 0

*******************************
*
* SPECIAL ACTION FOR COMMANDS
* GIVEN WHILE IN A ROOM TABLE
*
*******************************

INRMTB EQU *
 FCB 1,>INRM01
 FCB 35,>UNDER1
 FCB 36,>UNDER1
 FCB 38,>UNDER1
 FCB 40,>UNDER1
 FCB 42,>UNDER1
 FCB 46,>UNDER1
 FCB 48,>UNDER1
 FCB 37,>UNDER2
 FCB 39,>UNDER2
 FCB 41,>UNDER2
 FCB 43,>UNDER2
 FCB 44,>UNDER2
 FCB 45,>UNDER2
 FCB 47,>UNDER2
 FCB 0

*******************************
* TABLES USED TO PLACE RANDOM
* FISH IN THE OCEAN ROOMS
*******************************

FSHLFT EQU *
 FCB 90,30,89,0,29,0,90,89
FSHRIT EQU *
 FCB 0,27,88,91,91,27,0,88

*******************************
*
* ROOM TABLE.  DEFINES THE
* LAYOUT OF THE ADVENTURE. EACH
* ENTRY HAS THE FOLLOWING
* FORMAT:
*
* # BYTES        DESCRIPTION
* -------   -------------------
*    1      ROOM # TO NORTH
*    1      ROOM # TO SOUTH
*    1      ROOM # TO EAST
*    1      ROOM # TO WEST
*    1      ROOM # UP
*    1      ROOM # DOWN
*   RMOBJ   OBJECTS IN ROOM
*
*******************************

ROOMTB EQU *
*ROOM 1
 FCB 0,0,2,1,0,0
 FCB 126,118,108
 FCB RMOBJ-3[0]
*ROOM 2
 FCB 0,0,3,1,0,0
 FCB 126
 FCB RMOBJ-1[0]
*ROOM 3
 FCB 0,0,4,2,0,0
 FCB 126,103
 FCB RMOBJ-2[0]
*ROOM 4
 FCB 0,0,5,3,0,0
 FCB 126,125
 FCB RMOBJ-2[0]
*ROOM 5
 FCB 0,0,6,4,0,0
 FCB 126
 FCB RMOBJ-1[0]
*ROOM 6
 FCB 0,0,7,5,0,0
 FCB 126
 FCB RMOBJ-1[0]
*ROOM 7
 FCB 0,0,7,6,0,0
 FCB 126,9+INV
 FCB RMOBJ-2[0]
*ROOM 8
 FCB 0,4,0,0,0,0
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 9
 FCB 0,10,0,0,0,0
 FCB 118,12
 FCB RMOBJ-2[0]
*ROOM 10
 FCB 9,49,0,0,0,0
 FCB 10+INV
 FCB RMOBJ-1[0]
*ROOM 11
 FCB 6,14,12,0,0,0
 FCB RMOBJ[0]
*ROOM 12
 FCB 12,15,13,11,0,0
 FCB RMOBJ[0]
*ROOM 13
 FCB 13,16,0,12,0,0
 FCB RMOBJ[0]
*ROOM 14
 FCB 11,18,15,0,0,0
 FCB 14+INV
 FCB RMOBJ-1[0]
*ROOM 15
 FCB 12,19,16,14,0,0
 FCB RMOBJ[0]
*ROOM 16
 FCB 13,20,0,15,0,0
 FCB 8
 FCB RMOBJ-1[0]
*ROOM 17
 FCB 0,0,18,0,0,0
 FCB 99,11,108,115
 FCB RMOBJ-4[0]
*ROOM 18
 FCB 14,18,19,17,0,0
 FCB RMOBJ[0]
*ROOM 19
 FCB 15,19,20,18,0,0
 FCB 22
 FCB RMOBJ-1[0]
*ROOM 20
 FCB 16,20,0,19,0,0
 FCB RMOBJ[0]
*ROOM 21
 FCB 23,0,0,0,0,0
 FCB 126,127,125
 FCB RMOBJ-3[0]
*ROOM 22
 FCB 0,0,0,0,0,35
 FCB 126,127,125
 FCB RMOBJ-3[0]
*ROOM 23
 FCB 25,21,27,29,0,0
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 24
 FCB 0,0,0,0,0,36
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 25
 FCB 0,23,0,0,0,0
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 26
 FCB 0,0,0,0,0,38
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 27
 FCB 31,0,0,23,0,0
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 28
 FCB 0,0,0,0,0,40
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 29
 FCB 0,0,23,0,0,0
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 30
 FCB 0,0,0,0,0,42
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 31
 FCB 33,27,0,0,0,0
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 32
 FCB 0,0,0,0,0,46
 FCB 126,127
 FCB RMOBJ-2[0]
*ROOM 33
 FCB 0,31,0,0,0,0
 FCB 126,127,124
 FCB RMOBJ-3[0]
*ROOM 34
 FCB 0,0,0,0,0,48
 FCB 126,127,124
 FCB RMOBJ-3[0]
*ROOM 35
 FCB 0,0,0,0,22,0
 FCB RMOBJ[0]
*ROOM 36
 FCB 0,0,0,0,24,37
 FCB RMOBJ[0]
*ROOM 37
 FCB 0,0,0,0,36,0
 FCB RMOBJ[0]
*ROOM 38
 FCB 0,0,0,0,26,39
 FCB RMOBJ[0]
*ROOM 39
 FCB 0,0,0,0,38,0
 FCB 117
 FCB RMOBJ-1[0]
*ROOM 40
 FCB 0,0,0,0,28,41
 FCB RMOBJ[0]
*ROOM 41
 FCB 0,0,0,0,40,0
 FCB RMOBJ[0]
*ROOM 42
 FCB 0,0,0,0,30,43
 FCB RMOBJ[0]
*ROOM 43
 FCB 0,0,0,0,42,44
 FCB 109
 FCB RMOBJ-1[0]
*ROOM 44
 FCB 0,0,0,0,43,45
 FCB RMOBJ[0]
*ROOM 45
 FCB 0,0,0,0,44,0
 FCB 25
 FCB RMOBJ-1[0]
*ROOM 46
 FCB 0,0,0,0,32,47
 FCB RMOBJ[0]
*ROOM 47
 FCB 0,0,0,0,46,0
 FCB 100,18+INV
 FCB RMOBJ-2[0]
*ROOM 48
 FCB 0,0,0,0,34,0
 FCB RMOBJ[0]
*ROOM 49
 FCB 10,0,0,0,0,0
 FCB 120
 FCB RMOBJ-1[0]
*ROOM 50
 FCB 0,0,0,0,0,0
 FCB 119,121
 FCB RMOBJ-2[0]
*ROOM 51
 FCB 0,0,0,0,0,0
 FCB 107,106,17+INV
 FCB 114,113
 FCB RMOBJ-5[0]
*ROOM 52
 FCB 0,0,0,0,0,51
 FCB 114,112
 FCB RMOBJ-2[0]
*ROOM 53
 FCB 0,0,0,0,0,0
 FCB 110,15
 FCB RMOBJ-2[0]
*ROOM 54
 FCB 3,0,0,0,0,0
 FCB 108,20+INV
 FCB RMOBJ-2[0]
*ROOM 55
 FCB 56,57,55,55,0,0
 FCB 98,127,126
 FCB RMOBJ-3[0]
*ROOM 56
 FCB 57,55,56,56,0,0
 FCB 126
 FCB RMOBJ-1[0]
*ROOM 57
 FCB 55,56,57,57,0,0
 FCB 126,21+INV,23
 FCB RMOBJ-3[0]
*ROOM 58
 FCB 0,0,0,0,0,0
 FCB RMOBJ[0]

* TREASURE POINT TABLE

PNTTAB EQU *
 FCB 12,20 BARS OF SILVER
 FCB 14,20 RING
 FCB 18,20 PEARL
 FCB 21,20 RUBY
 FCB 24,20 GOLDEN ANCHOR
 FCB 0

*******************************
*
* GRAPHIC SCREEN INDICATOR
* TABLE (BY ROOM)
*
*******************************

SCRIND EQU *
*ROOM 1
 FCB 1,6,1,17,16,2,3,NOVLY-6[0]
*ROOM 2
 FCB 1,6,1,5,4,NOVLY-4[0]
*ROOM 3
 FCB 1,6,1,2,3,NOVLY-4[0]
*ROOM 4
 FCB 1,6,1,2,5,35,NOVLY-5[0]
*ROOM 5
 FCB 1,6,1,2,4,5,NOVLY-5[0]
*ROOM 6
 FCB 1,6,1,22,2,3,4,NOVLY-6[0]
*ROOM 7
 FCB 1,6,1,3,NOVLY-3[0]
*ROOM 8
 FCB 1,51,3,4,5,NOVLY-4[0]
*ROOM 9
 FCB 3,18,NOVLY-1[0]
*ROOM 10
 FCB 3,19,NOVLY-1[0]
*ROOM 11
 FCB 4,7,8,9,12,13,15,NOVLY-6[0]
*ROOM 12
 FCB 4,7,8,10,9,11,13,NOVLY-6[0]
*ROOM 13
 FCB 4,7,10,9,14,15,NOVLY-5[0]
*ROOM 14
 FCB 4,7,8,9,11,12,13,15,NOVLY-7[0]
*ROOM 15
 FCB 4,7,8,10,9,15,NOVLY-5[0]
*ROOM 16
 FCB 4,7,10,9,12,14,NOVLY-5[0]
*ROOM 17
 FCB 6,42,46,52,53,54,56,57,24,NOVLY-8[0]
*ROOM 18
 FCB 4,7,8,10,9,13,15,NOVLY-6[0]
*ROOM 19
 FCB 4,7,8,10,9,14,15,NOVLY-6[0]
*ROOM 20
 FCB 4,7,10,9,11,12,13,NOVLY-6[0]
*ROOM 21
 FCB 1,2,3,4,23,36,NOVLY-5[0]
*ROOM 22
 FCB 1,2,3,4,64,NOVLY-4[0]
*ROOM 23
 FCB 1,2,3,4,23,NOVLY-4[0]
*ROOM 24
 FCB 1,2,3,4,64,NOVLY-4[0]
*ROOM 25
 FCB 1,2,3,4,23,NOVLY-4[0]
*ROOM 26
 FCB 1,2,3,4,64,NOVLY-4[0]
*ROOM 27
 FCB 1,2,3,4,23,NOVLY-4[0]
*ROOM 28
 FCB 1,2,3,4,64,NOVLY-4[0]
*ROOM 29
 FCB 1,2,3,4,23,NOVLY-4[0]
*ROOM 30
 FCB 1,2,3,4,64,NOVLY-4[0]
*ROOM 31
 FCB 1,2,3,4,23,NOVLY-4[0]
*ROOM 32
 FCB 1,2,3,4,64,NOVLY-4[0]
*ROOM 33
 FCB 1,2,3,4,23,75,NOVLY-5[0]
*ROOM 34
 FCB 1,2,3,4,64,75,NOVLY-5[0]
*ROOM 35
 FCB 2,31,NOVLY-1[0]
*ROOM 36
 FCB 2,NOVLY[0]
*ROOM 37
 FCB 2,31,NOVLY-1[0]
*ROOM 38
 FCB 2,NOVLY[0]
*ROOM 39
 FCB 2,31,25,26,86,NOVLY-4[0]
*ROOM 40
 FCB 2,NOVLY[0]
*ROOM 41
 FCB 2,31,NOVLY-1[0]
*ROOM 42
 FCB 2,NOVLY[0]
*ROOM 43
 FCB 2,NOVLY[0]
*ROOM 44
 FCB 2,NOVLY[0]
*ROOM 45
 FCB 2,31,NOVLY-1[0]
*ROOM 46
 FCB 2,NOVLY[0]
*ROOM 47
 FCB 2,31,65,NOVLY-2[0]
*ROOM 48
 FCB 2,31,NOVLY-1[0]
*ROOM 49
 FCB 3,20,21,NOVLY-2[0]
*ROOM 50
 FCB 4,13,32,33,62,NOVLY-4[0]
*ROOM 51
 FCB 6,46,42,45,44,43,38,37,NOVLY-7[0]
*ROOM 52
 FCB 5,47,48,49,50,NOVLY-4[0]
*ROOM 53
 FCB 3,39,46,40,NOVLY-3[0]
*ROOM 54
 FCB 7,NOVLY[0]
*ROOM 55
 FCB 1,6,2,4,NOVLY-3[0]
*ROOM 56
 FCB 1,6,2,4,5,NOVLY-4[0]
*ROOM 57
 FCB 1,6,2,4,5,NOVLY-4[0]
*ROOM 58
 FCB 1,6,5,4,73,NOVLY-4[0]

*******************************
*
* ANTIMATION ROUTINES BY ROOM
*
* FORMAT: ROOM #,RTN VECTOR
*
*******************************

ANTTAB EQU *
 FCB 01,>MOVFAL
 FCB 02,>MOVBCH
 FCB 03,>MOVBCH
 FCB 05,>MOVBCH
 FCB 06,>MOVBCH
 FCB 07,>MOVBCH
 FCB 09,>CAVFAL
 FCB 22,>MAKWAV
 FCB 24,>MAKWAV
 FCB 26,>MAKWAV
 FCB 28,>MAKWAV
 FCB 30,>MAKWAV
 FCB 32,>MAKWAV
 FCB 34,>MAKWAV
 FCB 35,>MOVFSH
 FCB 36,>MOVFSH
 FCB 37,>MOVFSH
 FCB 38,>MOVFSH
 FCB 39,>MOVWED
 FCB 40,>MOVFSH
 FCB 41,>MOVFSH
 FCB 42,>MOVFSH
 FCB 43,>MOVSRK
 FCB 44,>MOVFSH
 FCB 45,>MOVFSH
 FCB 46,>MOVFSH
 FCB 47,>MOVFSH
 FCB 48,>MOVFSH
 FCB 56,>MOVBCH
 FCB 57,>MOVBCH
 FCB 0

*******************************
*
* IF OBJECT DROPPED IN ROOM
* PUT IT IN ANOTHER ROOM TABLE
*
* FORMAT: CURR ROOM,NEW ROOM
*
*******************************

PUTTAB EQU *
 FCB 22,35
 FCB 24,37
 FCB 36,37
 FCB 26,39
 FCB 38,39
 FCB 28,41
 FCB 40,41
 FCB 30,45
 FCB 42,45
 FCB 43,45
 FCB 44,45
 FCB 32,47
 FCB 46,47
 FCB 34,48
 FCB 0

*******************************
*
* MOVABLE OBJ TABLE
*
* OBJECT #,ROOM #,OVERLAY #
*
*******************************

MOVOBJ EQU *
 FCB 109,43,28
 FCB 110,52,41
 FCB 113,50,34
 FCB 11,17,55
 FCB 103,3,58
 FCB 101,3,59
 FCB 110,53,60
 FCB 15,53,61
 FCB 16,53,61
 FCB 98,55,63
 FCB 104,47,66
 FCB 18,47,67
 FCB 13,35,68
 FCB 13,37,68
 FCB 13,39,68
 FCB 13,41,68
 FCB 13,45,68
 FCB 13,47,68
 FCB 13,48,68
 FCB 13,11,68
 FCB 13,12,68
 FCB 13,13,68
 FCB 13,14,68
 FCB 13,15,68
 FCB 13,16,68
 FCB 13,18,68
 FCB 13,19,68
 FCB 13,20,68
 FCB 8,11,69
 FCB 8,12,69
 FCB 8,13,69
 FCB 8,14,69
 FCB 8,15,69
 FCB 8,16,69
 FCB 8,18,69
 FCB 8,19,69
 FCB 8,20,69
 FCB 8,2,70
 FCB 8,4,70
 FCB 8,5,70
 FCB 8,6,70
 FCB 8,7,70
 FCB 8,55,70
 FCB 8,56,70
 FCB 8,57,70
 FCB 10,55,71
 FCB 10,56,71
 FCB 10,57,71
 FCB 10,2,71
 FCB 10,3,71
 FCB 10,4,71
 FCB 10,5,71
 FCB 10,6,71
 FCB 10,7,71
 FCB 10,54,71
 FCB 20,2,72
 FCB 20,3,72
 FCB 20,4,72
 FCB 20,5,72
 FCB 20,6,72
 FCB 20,7,72
 FCB 20,54,72
 FCB 20,55,72
 FCB 20,56,72
 FCB 20,57,72
 FCB 98,55,63
 FCB 97,29,76
 FCB 24,54,77
 FCB 9,7,78
 FCB 9,54,78
 FCB 14,14,79
 FCB 14,54,79
 FCB 12,9,80
 FCB 12,54,80
 FCB 17,51,74
 FCB 17,54,74
 FCB 21,54,81
 FCB 21,57,81
 FCB 21,56,81
 FCB 21,55,81
 FCB 21,2,81
 FCB 21,3,81
 FCB 21,4,81
 FCB 21,5,81
 FCB 21,6,81
 FCB 21,7,81
 FCB 25,45,83
 FCB 24,45,84
 FCB 24,47,84
 FCB 24,48,84
 FCB 24,41,84
 FCB 24,39,84
 FCB 24,37,84
 FCB 24,35,84
 FCB 97,45,85
 FCB 22,11,87
 FCB 22,12,87
 FCB 22,13,87
 FCB 22,14,87
 FCB 22,15,87
 FCB 22,16,87
 FCB 22,18,87
 FCB 22,19,87
 FCB 22,20,87
 FCB 23,55,82
 FCB 23,56,82
 FCB 23,57,82
 FCB 23,54,82
 FCB 23,2,82
 FCB 23,4,82
 FCB 23,5,82
 FCB 23,7,82
 FCB 18,54,92
 FCB 0

*******************************
*
* GRAPHIC SCREEN PNTR TABLE
*
*******************************

SCRTAB EQU *
 FDB SCROCN,SCRBLU,SCRBLK
 FDB SCRLND,SCRLAD,SCRHOU
 FDB SCRCAV

*******************************
*
* GRAPHIC OBJECT PNTR TABLE
*
* FORMAT: SCREEN ROW  - XX
*         SCREEN COL  - XX
*         LINE LEN    - XX
*         DATA        - XX..XX
*         TERM BY $FF
*
*******************************

SCROBJ EQU *
 FDB OVLCLF,OVLCL1,OVLCL2
 FDB OVLCL3,OVLCL4,OVLSND
 FDB OVLPH1,OVLPH2,OVLPH3
 FDB OVLPH4,OVLTR1,OVLTR2
 FDB OVLCL5,OVLCL6,OVLCL7
 FDB OVLRVR,OVLFAL,OVLFA1
 FDB OVLHL1,OVLHL2,OVLSDW
 FDB OVLSTR,OVLBOT,OVLAC1
 FDB OVLROC,OVLMER,OVLFS1
 FDB OVLFS2,OVLFS3,OVLFS4
 FDB OVLFLR,OVLHOU,OVLWN1
 FDB OVLWN2,OVLDK1,OVLDK2
 FDB OVLLAD,OVLCHR,OVLAT1
 FDB OVLAT2,OVLAT3,OVLRM1
 FDB OVLRM2,OVLRM3,OVLRM4
 FDB OVLRM5,OVLLA1,OVLLA2
 FDB OVLLA3,OVLLA4,OVLDK3
 FDB OVLDV1,OVLDV2,OVLDV3
 FDB OVLDV4,OVLDV5,OVLDV6
 FDB OVLBL1,OVLBL2,OVLAT4
 FDB OVLAT5,OVLHL3,OVLPIR
 FDB OVLBO1,OVLCM1,OVLCM2
 FDB OVLPR1,OVLKE1,OVLME1
 FDB OVLME2,OVLSV1,OVLRUM
 FDB OVLGRV,OVLCC1,OVLIS1
 FDB OVLBL3,OVLAN1,OVLMIR
 FDB OVLRNG,OVLSV2,OVLRBY
 FDB OVLBL4,OVLAN2,OVLAN3
 FDB OVLCRD,MERTL1,OVLNEW
 FDB OVLFS5,OVLFS6,OVLFS7
 FDB OVLFS8,OVLPR2

GENHLP EQU *
 FCB 13,'T,'r,'y+$80
 FCC 'examinin','g+$80
 FCC 'things',0

 FCB 13,'N,'o+$80
 FCC 'HEL','P+$80
 FCC 'available',0

 FCB 13,'U,'s,'e+$80
 FCC 'SAV','E+$80
 FCC 'whe','n+$80
 FCC 'enterin','g+$80
 FCC 'dangerou','s+$80
 FCC 'areas',0

 FCB 13,'I,'','m+$80
 FCC 'stumpe','d+$80
 FCC 'too!',0

*******************************
*
* DIRECTION DESCRIPTIONS TABLE
*
*******************************

DIRECT EQU *
 FCC 'North',',+$80,0
 FCC 'South',',+$80,0
 FCC 'East',',+$80,0
 FCC 'West',',+$80,0
 FCC 'Up',',+$80,0
 FCC 'Down',',+$80,0

*******************************
*
* OBJECT DESCRIPTIONS TABLE
*
*******************************

OBJTAB EQU *

 FCB 8,'a+$80
 FCC 'meta','l+$80
 FCC 'detector',0

 FCB 9,'a+$80
 FCC 'stainles','s+$80
 FCC 'stee','l+$80
 FCC 'mirror',0

 FCB 10,'a+$80
 FCC 'shovel',0

 FCB 11,'a,'i,'r+$80
 FCC 'tanks',0

 FCB 12
 FCC 'bar','s+$80,'o,'f+$80
 FCC 'silver',0

 FCB 13,'a+$80
 FCC 'key',0

 FCB 14,'a+$80
 FCC 'diamon','d+$80
 FCC 'ring',0

 FCB 15,'a+$80
 FCC 'smal','l+$80
 FCC 'bottle',0

 FCB 16,'a,'n+$80
 FCC 'empt','y+$80
 FCC 'bottle',0

 FCB 17,'a+$80
 FCC 'credi','t+$80
 FCC 'card',0

 FCB 18,'a+$80
 FCC 'gian','t+$80
 FCC 'pearl',0

 FCB 19,'a+$80
 FCC 'note',0

 FCB 20,'a+$80
 FCC 'ke','g+$80,'o,'f+$80
 FCC 'rum',0

 FCB 21,'a+$80
 FCC 'rub','y+$80
 FCC 'statue',0

 FCB 22,'a+$80
 FCC 'scra','p+$80,'o,'f+$80
 FCC 'newspaper',0

 FCB 23,'a+$80
 FCC 'deflate','d+$80
 FCC 'weathe','r+$80
 FCC 'balloon',0

 FCB 24,C.AN
 FCC 'anchor',0

 FCB 25,C.AN
 FCC 'anchor',0

 FCB 97,'a+$80
 FCC 'weathe','r+$80
 FCC 'balloo','n+$80
 FCC 'tie','d+$80
 FCB 't,'o+$80,C.AN
 FCC 'anchor',0

 FCB 98,'a+$80
 FCC 'pirate',0

 FCB 99,'a+$80
 FCC 'clerk',0

 FCB 100,'a+$80
 FCC 'larg','e+$80
 FCC 'clam',0

 FCB 101,'a+$80
 FCC 'smal','l+$80
 FCC 'cave',0

 FCB 102,'a+$80
 FCC 'larg','e+$80
 FCC 'boulder',0

 FCB 103,'a+$80
 FCC 'larg','e+$80
 FCC 'boulder',0

 FCB 104,'a,'n+$80
 FCC 'ope','n+$80
 FCC 'osyter',0

 FCB 106,'a+$80
 FCC 'chair',0

 FCB 107,'a+$80
 FCC 'table',0

 FCB 108,'a+$80
 FCC 'sign',0

 FCB 109
 FCC 'sharks',0

 FCB 110,C.AN
 FCC 'ope','n+$80
 FCC 'tra','p+$80
 FCC 'door',0

 FCB 111,'a+$80
 FCC 'tra','p+$80
 FCC 'door',0

 FCB 112,'a+$80
 FCC 'tra','p+$80
 FCC 'door',0

 FCB 113,'a+$80
 FCC 'broke','n+$80
 FCC 'window',0

 FCB 114,'a+$80
 FCC 'ladder',0

 FCB 115,C.AN,'a,'i,'r+$80
 FCC 'compressor',0

 FCB 117,'a+$80
 FCC 'lovel','y+$80
 FCC 'mermaid',0

 FCB 118,'a+$80
 FCC 'wate','r+$80
 FCC 'falls',0

 FCB 119,'a+$80
 FCC 'beac','h+$80
 FCC 'house',0

 FCB 120,'a+$80
 FCC 'hol','e+$80,'i,'n+$80
 FCB C.THE
 FCC 'ceiling',0

 FCB 121,'a+$80
 FCC 'hol','e+$80,'i,'n+$80
 FCB C.THE
 FCC 'ground',0

 FCB 124,'a+$80
 FCC 'smal','l+$80
 FCC 'island',0

 FCB 125,'a+$80
 FCC 'woode','n+$80
 FCC 'dock',0

 FCB 126,C.THE
 FCC 'ocean',0

 FCB 127,'a+$80
 FCC 'boat',0

*******************************
*
* ROOM DESCRIPTIONS TABLE
*
*******************************

DESCTB EQU *
*ROOM 1
 FCB C.UARE,C.ONA
 FCC 'sand','y+$80
 FCC 'beach.',0
*ROOM 2
 FCB $FF,1,0
*ROOM 3
 FCB $FF,1,0
*ROOM 4
 FCB $FF,1,0
*ROOM 5
 FCB $FF,1,0
*ROOM 6
 FCB $FF,1,0
*ROOM 7
 FCB $FF,1,0
*ROOM 8
 FCB C.UARE,C.ONA
 FCC 'woode','n+$80
 FCC 'dock.',0
*ROOM 9
 FCB C.UARE,C.INA
 FCC 'caver','n+$80
 FCC 'entrance.',0
*ROOM 10
 FCB C.UARE,C.INA
 FCC 'larg','e+$80
 FCC 'cavern.',0
*ROOM 11
 FCB C.UARE,C.INA
 FCC 'grass','y+$80
 FCC 'meadow.',0
*ROOM 12
 FCB $FF,11,0
*ROOM 13
 FCB $FF,11,0
*ROOM 14
 FCB $FF,11,0
*ROOM 15
 FCB $FF,11,0
*ROOM 16
 FCB $FF,11,0
*ROOM 17
 FCB C.UARE,C.INA
 FCC 'smal','l+$80
 FCC 'SCUB','A+$80
 FCC 'shop.',0
*ROOM 18
 FCB $FF,11,0
*ROOM 19
 FCB $FF,11,0
*ROOM 20
 FCB $FF,11,0
*ROOM 21
 FCB C.UARE,C.ONA
 FCC 'boat.',0
*ROOM 22
 FCB C.UARE
 FCC 'treadin','g+$80
 FCC 'wate','r+$80
 FCB 'o,'n+$80,C.THE
 FCC 'surfac','e+$80
 FCB 'o,'f+$80,C.THE
 FCC 'ocean.',0
*ROOM 23
 FCB $FF,21,0
*ROOM 24
 FCB $FF,22,0
*ROOM 25
 FCB $FF,21,0
*ROOM 26
 FCB $FF,22,0
*ROOM 27
 FCB $FF,21,0
*ROOM 28
 FCB $FF,22,0
*ROOM 29
 FCB $FF,21,0
*ROOM 30
 FCB $FF,22,0
*ROOM 31
 FCB $FF,21,0
*ROOM 32
 FCB $FF,22,0
*ROOM 33
 FCB $FF,21,0
*ROOM 34
 FCB $FF,22,0
*ROOM 35
 FCB C.UARE,'o,'n+$80,C.THE
 FCC 'botto','m+$80
 FCB 'o,'f+$80,C.THE
 FCC 'ocean.',0
*ROOM 36
 FCB C.UARE
 FCC 'underwater.',0
*ROOM 37
 FCB $FF,35,0
*ROOM 38
 FCB $FF,36,0
*ROOM 39
 FCB $FF,35,0
*ROOM 40
 FCB $FF,36,0
*ROOM 41
 FCB $FF,35,0
*ROOM 42
 FCB $FF,36,0
*ROOM 43
 FCB $FF,36,0
*ROOM 44
 FCB $FF,36,0
*ROOM 45
 FCB $FF,35,0
*ROOM 46
 FCB $FF,36,0
*ROOM 47
 FCB $FF,35,0
*ROOM 48
 FCB $FF,35,0
*ROOM 49
 FCB $FF,10,0
*ROOM 50
 FCB $FF,11,0
*ROOM 51
 FCB C.UARE,C.INA
 FCC 'beac','h+$80
 FCC 'house.',0
*ROOM 52
 FCB C.UARE,C.AT,C.THE
 FCC 'to','p+$80
 FCB 'o,'f+$80,'a+$80
 FCC 'ladder.',0
*ROOM 53
 FCB C.UARE,C.INA
 FCC 'must','y+$80
 FCC 'attic.',0
*ROOM 54
 FCB C.UARE,C.INA
 FCC 'smal','l+$80
 FCC 'cave.',0
*ROOM 55
 FCB $FF,1,0
*ROOM 56
 FCB $FF,1,0
*ROOM 57
 FCB $FF,1,0

*******************************
*
* COMPRESSED PHRASE TABLE
*
*******************************

TXTTAB EQU *
 FCC 'th','e+$80,0
 FCC 'yo','u+$80,0
 FCC 'ar','e+$80,0
 FCC 'se','e+$80,0
 FCC 'can','','t+$80,0
 FCC 'don','','t+$80,0
 FCC 'Yo','u+$80,0
 FCB C.YYOU,C.ARE,0
 FCB 'i,'n+$80,'a+$80,0
 FCB 'o,'n+$80,'a+$80,0
 FCB 'i,'s+$80,'a+$80,0
 FCC .It'.,'s+$80,0
 FCC 'Th','e+$80,0
 FCB 'i,'s+$80,0
 FCC 'an','d+$80,0
 FCB 'a,'n+$80,0
 FCB 'a,'t+$80,0

*******************************
*
* VERB ROUTINE JUMP VECTORS
*
*******************************

RTNTAB EQU *
 FDB VLOOK,VINVE,VGET,VPUT
 FDB VNORTH,VSOUTH,VEAST,VWEST
 FDB VUP,VDOWN,VGO,ENDGAM
 FDB VSAVE,VLOAD,VHELP,VDIG
 FDB BADINP,VGIVE,VFILL,VCLIMB
 FDB VCLOSE,VOPEN,VUNLOC
 FDB VBREAK,VSCORE,VREAD,BADINP
 FDB VPULL,VTIE

*******************************
*
* NON ARRAY VARIABLES
*
*******************************

COMMA FCB ',+$80,0

*
* END OF FILE: ADVENT03/ASM
*
